Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158795 - HDIO_GETGEO returns zero for cylinder/sector/head on large (>2TB) disks.
Summary: HDIO_GETGEO returns zero for cylinder/sector/head on large (>2TB) disks.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Mike Christie
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 461304
TreeView+ depends on / blocked
 
Reported: 2005-05-25 20:08 UTC by Tom Coughlan
Modified: 2012-06-20 16:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 16:16:21 UTC


Attachments (Terms of Use)

Description Tom Coughlan 2005-05-25 20:08:25 UTC
From: 	Tom Coughlan <coughlan@redhat.com>
To: 	rhkernel-list@redhat.com
Subject: 	[RHEL 4 patch] fix disk geometry calculation for large disks
Date: 	Sat, 30 Apr 2005 17:54:36 -0400	

Testing has shown that HDIO_GETGEO sometimes returns heads=0 for large disks.
This causes parted to die with a Floating Point Exception, and other possible
problems we have not seen yet.

The problem occurs because several routines in scsicam_bios_param castsector_t
capacity to unsigned long. The proposed solution is to avoid calling these
routines at all if the capacity exceeds 65535*63*255. These are the maximum
allowed values for cylinder/sector/head, so there is no point in going through
the whole routine to get to them. 
...

-----------

The patch was posted upstream, but received no comments. It is in Fedora now for
testing. 

Adding to the proposed list for U2.

Comment 17 Jay Turner 2006-10-03 13:34:09 UTC
Deferring QE ack.  Doesn't appear that we're entirely sure we have a problem.

Comment 20 RHEL Product and Program Management 2008-09-03 13:10:14 UTC
Updating PM score.

Comment 22 RHEL Product and Program Management 2009-03-12 18:54:09 UTC
Since RHEL 4.8 External Beta has begun, and this bugzilla remains 
unresolved, it has been rejected as it is not proposed as exception or 
blocker.

Comment 23 Jiri Pallich 2012-06-20 16:16:21 UTC
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.


Note You need to log in before you can comment on or make changes to this bug.